// JavaScript Document 


 var host=document.domain;
      
 //alert(host)
  //==================函数列表=========================
 //写入Cookie PostCookie("Softview=Yes");
 function PostCookie(cookieName)
 {
  var expdate = new Date();
   expdate.setTime(expdate.getTime() + 604800000);
   document.cookie=cookieName+";expires="+expdate.toGMTString()+";path = /;";
 }

//读取Cookies值
function getCookie(cookieName) 
{ 
 var cookieString =document.cookie; 
 var start = cookieString.indexOf(cookieName + '='); 

  
 // 加上等号的原因是避免在某些 Cookie 的值里有 
 // 与 cookieName 一样的字符串。 
 if (start == -1) // 找不到
 return null; 
 start += cookieName.length + 1; 
 var end = cookieString.indexOf(';', start); 
 if (end == -1) 
    return unescape(cookieString.substring(start));
    return unescape(cookieString.substring(start, end)); 
}


function address_click2(URL)
{
	if(getCookie("Address_Home") != "Yes") 
	{
	 
	 //setTimeout("setHomepage('"+URL+"')", 1000 * 5 );   //表示延时30秒执行page_list()函数
     setHomepage(URL)
	 PostCookie("Address_Home=Yes");
	 
	}
	
	return true;
}

function setHomepage(URL) {　 // 设为首页
　　　　　if (document.all) {
　　　　　　　　　　　document.body.style.behavior = 'url(#default#homepage)';
　　　　　　　　　　　document.body.setHomePage(URL);　　　　　　　　　　　 }
　　　　　　　　　　　 else if (window.sidebar) {
　　　　　　　　　　　　　　　 if (window.netscape) {
　　　　　　　　　　　　　　　　　　　 try {
　　　　　　　　　　　　　　　　　　　　　　　 netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
　　　　　　　　　　　　　　　　　　　 }
　　　　　　　　　　　　　　　　　　　 catch (e) {
　　　　　　　　　　　　　　　　　　　　　　　 alert("该操作被浏览器拒绝，假如想启用该功能，请在地址栏内输入 about:config,然后将项 signed.applets.codebase_principal_support 值该为true");
　　　　　　　　　　　　　　　　　　　 }
　　　　　　　　　　　　　　　 }
　　　　　　　　　　　　　　　 var prefs = Components.classes['@mozilla.org/preferences-service;1'].getService(Components.interfaces.nsIPrefBranch);
　　　　　　　　　　　　　　　 prefs.setCharPref('browser.startup.homepage',URL);
　　　 }} 

	 
 